org.apache.cassandra.cql

## Class CreateKeyspaceStatement

- java.lang.Object
- - org.apache.cassandra.cql.CreateKeyspaceStatement

    public class CreateKeyspaceStatement
    extends java.lang.Object

A `CREATE KEYSPACE` statement parsed from a CQL query.

### Constructor Summary

Constructors
Constructor and Description
`CreateKeyspaceStatement(java.lang.String name, java.util.Map<java.lang.String,java.lang.String> attrs)` Creates a new `CreateKeyspaceStatement` instance for a given keyspace name and keyword arguments.

### Method Summary

Methods
`java.lang.String` `getName()`
`java.lang.String` `getStrategyClass()`
`java.util.Map<java.lang.String,java.lang.String>` `getStrategyOptions()`
`void` `validate()` The `CqlParser` only goes as far as extracting the keyword arguments from these statements, so this method is responsible for processing and validating, and must be called prior to access.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreateKeyspaceStatement

    public CreateKeyspaceStatement(java.lang.String name,
                           java.util.Map<java.lang.String,java.lang.String> attrs)

Creates a new `CreateKeyspaceStatement` instance for a given keyspace name and keyword arguments.

Parameters:
  `name` - the name of the keyspace to create
  `attrs` - map of the raw keyword arguments that followed the `WITH` keyword.

### Method Detail

#### validate

    public void validate()
                  throws InvalidRequestException

The `CqlParser` only goes as far as extracting the keyword arguments from these statements, so this method is responsible for processing and validating, and must be called prior to access.

Throws:
  `InvalidRequestException` - if arguments are missing or unacceptable

#### getName

    public java.lang.String getName()

#### getStrategyClass

    public java.lang.String getStrategyClass()

#### getStrategyOptions

    public java.util.Map<java.lang.String,java.lang.String> getStrategyOptions()